unit uSelectionOptions;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,uTreeView;

type

  TfSelectionOptions = class(TForm)


    rbSelected: TRadioButton;
    rbChecked: TRadioButton;
    bOk: TButton;
    procedure FormCreate(Sender: TObject);
    procedure bOkClick(Sender: TObject);


  private
       FDBTreeView:TDBTreeView;

    { Private declarations }
  public

  property PropDBTreeView:TDBTreeView read FDBTreeView write FDBTreeView;

    { Public declarations }
  end;

var G:TDBTreeView;
//  fSelectionOptions: TfSelectionOptions;

implementation

{$R *.dfm}

procedure TfSelectionOptions.bOkClick(Sender: TObject);
begin
if rbSelected.Checked then Self.tag:=0 else

Self.tag:=1;

Close;

end;

procedure TfSelectionOptions.FormCreate(Sender: TObject);
begin

rbSelected.Checked:=true;
Self.Tag:=-3; //Если ничего не выбрано, Tag не поменяется

end;

end.
